# Uses of Class
org.springframework.aot.hint.TypeHint

Packages that use TypeHint
Package
Description
org.springframework.aot.hint
Support for registering the need for reflection, resources, java serialization and proxies at runtime.

## Uses of TypeHint in org.springframework.aot.hint

Methods in org.springframework.aot.hint that return TypeHint
Modifier and Type
Method
Description
`TypeHint`
ReflectionHints.`getTypeHint(Class<?> type)`
Return the reflection hints for the specified type.
`TypeHint`
ReflectionHints.`getTypeHint(TypeReference type)`
Return the reflection hints for the type defined by the specified `TypeReference`.
Methods in org.springframework.aot.hint that return types with arguments of type TypeHint
Modifier and Type
Method
Description
`Stream<TypeHint>`
ReflectionHints.`typeHints()`
Return the types that require reflection.